Last Comment Bug 712719 - NullPointerException at org.mozilla.gecko.GeckoAppShell.notifyIMEEnabled
: NullPointerException at org.mozilla.gecko.GeckoAppShell.notifyIMEEnabled
Status: VERIFIED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- critical (vote)
: Firefox 12
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
http://pastebin.com/Z50asSL9
: 711756 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 11:19 PST by Stewart Campbell
Modified: 2012-01-31 05:49 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (1.40 KB, patch)
2011-12-21 15:35 PST, Brad Lassey [:blassey] (use needinfo?)
dougt: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Stewart Campbell 2011-12-21 11:19:16 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a2) Gecko/20111220 Firefox/10.0a2
Build ID: 20111220042029

Steps to reproduce:

Start Fennec - Home page renders with checkerboard at the bottom.  As soon as the checkerboard is replaced by the grey background Fennec crashed.


Actual results:

Crashes:

Logcat shows the following:

E/StrictMode( 1427): Finalizing a Cursor that has not been deactivated or closed. database = /data/data/org.mozilla.fennec/files/mozilla/heaacgh1.default/places.sqlite, table = null, query = SELECT places.url AS a_url, places.title AS a_title, history.visit_date AS a_date FROM (moz_historyvisits AS history JOIN moz_places AS places ON places.id = history.place_id) WHERE places.hidden <> 1 ORDER BY history.visit_date DESC
E/StrictMode( 1427): android.database.sqlite.DatabaseObjectNotClosedException: Application did not close the cursor or database object that was opened here
E/StrictMode( 1427):    at android.database.sqlite.SQLiteCursor.<init>(SQLiteCursor.java:238)
E/StrictMode( 1427):    at android.database.sqlite.SQLiteDirectCursorDriver.query(SQLiteDirectCursorDriver.java:51)
E/StrictMode( 1427):    at android.database.sqlite.SQLiteDatabase.rawQueryWithFactory(SQLiteDatabase.java:1539)
E/StrictMode( 1427):    at android.database.sqlite.SQLiteDatabase.rawQuery(SQLiteDatabase.java:1508)
E/StrictMode( 1427):    at org.mozilla.gecko.ProfileMigrator$PlacesTask.migrateHistory(ProfileMigrator.java:185)
E/StrictMode( 1427):    at org.mozilla.gecko.ProfileMigrator$PlacesTask.migratePlaces(ProfileMigrator.java:338)
E/StrictMode( 1427):    at org.mozilla.gecko.ProfileMigrator$PlacesTask.run(ProfileMigrator.java:371)
E/StrictMode( 1427):    at java.lang.Thread.run(Thread.java:1020)
E/SQLiteDatabase( 1427): close() was never explicitly called on database '/data/data/org.mozilla.fennec/files/mozilla/heaacgh1.default/places.sqlite'
E/SQLiteDatabase( 1427): android.database.sqlite.DatabaseObjectNotClosedException: Application did not close the cursor or database object that was opened here
E/SQLiteDatabase( 1427):        at android.database.sqlite.SQLiteDatabase.<init>(SQLiteDatabase.java:1980)
E/SQLiteDatabase( 1427):        at android.database.sqlite.SQLiteDatabase.openDatabase(SQLiteDatabase.java:977)
E/SQLiteDatabase( 1427):        at android.database.sqlite.SQLiteDatabase.openDatabase(SQLiteDatabase.java:956)
E/SQLiteDatabase( 1427):        at android.database.sqlite.SQLiteDatabase.openDatabase(SQLiteDatabase.java:932)
E/SQLiteDatabase( 1427):        at org.mozilla.gecko.ProfileMigrator$PlacesTask.openPlaces(ProfileMigrator.java:312)
E/SQLiteDatabase( 1427):        at org.mozilla.gecko.ProfileMigrator$PlacesTask.migratePlaces(ProfileMigrator.java:336)
E/SQLiteDatabase( 1427):        at org.mozilla.gecko.ProfileMigrator$PlacesTask.run(ProfileMigrator.java:371)
E/SQLiteDatabase( 1427):        at java.lang.Thread.run(Thread.java:1020)
I/dalvikvm( 1427): Uncaught exception thrown by finalizer (will be discarded):
I/dalvikvm( 1427): java.lang.IllegalStateException: Don't have database lock!
I/dalvikvm( 1427):      at android.database.sqlite.SQLiteDatabase.verifyLockOwner(SQLiteDatabase.java:2131)
I/dalvikvm( 1427):      at android.database.sqlite.SQLiteDatabase$1.entryRemoved(SQLiteDatabase.java:2223)
I/dalvikvm( 1427):      at android.database.sqlite.SQLiteDatabase$1.entryRemoved(SQLiteDatabase.java:2219)
I/dalvikvm( 1427):      at android.util.LruCache.trimToSize(LruCache.java:197)
I/dalvikvm( 1427):      at android.util.LruCache.evictAll(LruCache.java:285)
I/dalvikvm( 1427):      at android.database.sqlite.SQLiteDatabase.deallocCachedSqlStatements(SQLiteDatabase.java:2184)
I/dalvikvm( 1427):      at android.database.sqlite.SQLiteDatabase.closeClosable(SQLiteDatabase.java:1096)
I/dalvikvm( 1427):      at android.database.sqlite.SQLiteDatabase.finalize(SQLiteDatabase.java:1950)
I/dalvikvm( 1427):      at dalvik.system.NativeStart.run(Native Method)

AND

I/GeckoApp( 1427): Got message: Gecko:Ready
W/System.err( 1427): java.lang.NullPointerException
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.notifyIMEEnabled(GeckoAppShell.java:502)
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.runGecko(GeckoAppShell.java:449)
W/System.err( 1427):    at org.mozilla.gecko.GeckoThread.run(GeckoThread.java:107)
W/System.err( 1427): java.lang.NullPointerException
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.notifyIMEEnabled(GeckoAppShell.java:502)
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
W/System.err( 1427):    at org.mozilla.gecko.GeckoAppShell.runGecko(GeckoAppShell.java:449)
W/System.err( 1427):    at org.mozilla.gecko.GeckoThread.run(GeckoThread.java:107)


Expected results:

No Crash
Comment 1 Gian-Carlo Pascutto [:gcp] 2011-12-21 14:01:04 PST

*** This bug has been marked as a duplicate of bug 712718 ***
Comment 2 Gian-Carlo Pascutto [:gcp] 2011-12-21 14:03:36 PST
Reopening for second crash signature. The first one in profileMigrate is a dupe.
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2011-12-21 15:35:18 PST
Created attachment 583657 [details] [diff] [review]
patch
Comment 4 Ed Morley [:emorley] 2011-12-22 03:48:02 PST
https://hg.mozilla.org/mozilla-central/rev/917a5403d3c6
Comment 5 Gian-Carlo Pascutto [:gcp] 2011-12-29 12:14:11 PST
*** Bug 711756 has been marked as a duplicate of this bug. ***
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 23:21:50 PST
Comment on attachment 583657 [details] [diff] [review]
patch

[Approval Request Comment]
crash fix for aurora
Comment 7 Alex Keybl [:akeybl] 2012-01-09 14:54:42 PST
Comment on attachment 583657 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-10 14:17:13 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/1ae3a15ae765
Comment 9 Cristian Nicolae (:xti) 2012-01-31 05:49:39 PST
This crash doesn't reproduce anymore on Nightly and Aurora builds. Closing bug as verified fixed.

Mozilla/5.0 (Android;Linux armv7l;rv:11.0a2)Gecko/20120130
Firefox/11.0a2 Fennec/11.0a2
Device: Samsung Galaxy S
OS: Android 2.2

Mozilla/5.0 (Android;Linux armv7l;rv:12.0a1)Gecko/20120130
Firefox/12.0a1 Fennec/12.0a1
Device: Samsung Galaxy S
OS: Android 2.2

Note You need to log in before you can comment on or make changes to this bug.